from src.neo_neo_todo.models.todo import select_todos


async def test_model_todo_select_todos(db_pool):
    todos_list_all = await select_todos(db_pool, 1)

    assert len(todos_list_all) == 3

    todos_list_completed_false = await select_todos(db_pool, 1, False)

    assert len(todos_list_completed_false) == 3

    todos_list_completed_true = await select_todos(db_pool, 1, True)

    assert len(todos_list_completed_true) == 0

    todos_list_non_existent_member_id = await select_todos(db_pool, 12341234)

    assert len(todos_list_non_existent_member_id) == 0
