from fastapi import APIRouter, Depends
from fastapi_limiter.depends import RateLimiter

from src.neo_neo_todo.models.session import LoginData

router = APIRouter(
    prefix="/sessions",
    tags=["sessions"],
)


@router.post("", dependencies=[Depends(RateLimiter(times=100, seconds=600))])
async def login(login_data: LoginData):
    """
    Login to the todo app

    If successful, save the returned cookie
    """
    pass
